# Registro Header de Arquivo

# Baseado na documenta��o da Caixa SIGCB
# Dispon�vel em: http://www.caixa.gov.br/downloads/cobranca-caixa-manuais/LEIAUTE_CNAB_240_SIGCB_COBRANCA_CAIXA.pdf

uso_exclusivo_caixa_01:
  pos: [33, 52]
  picture: '9(20)'
  default: '0'

codigo_convenio:
  pos: [59, 64]
  picture: '9(6)'

uso_exclusivo_caixa_02:
  pos: [65, 71]
  picture: '9(7)'
  default: '0'

uso_exclusivo_caixa_03:
  pos: [72, 72]
  picture: '9(1)'
  default: '0'

versao_layout_arquivo:
  # N�mero da Vers�o do Layout do Arquivo (G019)
  # C�digo adotado pela FEBRABAN para identificar qual a vers�o de layout do arquivo
  # encaminhado.
  # O c�digo � composto de:
  # Vers�o = 2 d�gitos
  # Release = 1 d�gito
  pos: [164, 166]
  picture: '9(3)'
  default: '050'

uso_reservado_empresa:
  # Para Uso Reservado da Empresa (G022)
  # Campo a ser utilizado pelo cliente/cedente, para informa��o da situa��o da remessa que est� sendo
  # enviada � CAIXA:
  # - Na fase de testes (simulado), conter� a literal 'REMESSA-TESTE'
  # - Estando em produ��o conter� a literal 'REMESSA-PRODU��O'
  # Obs.: ap�s a altera��o da situa��o do cedente de TESTE para PRODU��O n�o haver� a possibilidade de
  # retorno ao status de simula��o.
  pos: [192, 211]
  picture: 'X(20)'
  default: ''